Public Member Functions | List of all members
cgicc::HTTPPlainHeader Class Reference

Shortcut to HTTPContentHeader for `text/html`. More...

`#include <cgicc/HTTPPlainHeader.h>`

Inheritance diagram for cgicc::HTTPPlainHeader:

## Public Member Functions
| HTTPPlainHeader ()
| Create a new `text/plain` header
virtual | ~HTTPPlainHeader ()
| Destructor.
Public Member Functions inherited from cgicc::HTTPContentHeader
| HTTPContentHeader (const std::string &mimeType)
| Create a new MIME type header. More...
virtual | ~HTTPContentHeader ()
| Destructor.
virtual void | render (std::ostream &out) const
| Write this HTTPHeader to a stream. More...
Public Member Functions inherited from cgicc::HTTPHeader
| HTTPHeader (const std::string &data)
| Constructor. More...
| HTTPHeader (const HTTPHeader &header)
| Copy constructor. More...
virtual | ~HTTPHeader ()
| Destructor.
HTTPHeader & | setCookie (const HTTPCookie &cookie)
| Set a cookie to go out with this HTTPResponseHeader. More...
const std::vector< HTTPCookie > & | getCookies () const
| Get a list of all cookies associated with this header. More...
std::string | getData () const
Public Member Functions inherited from cgicc::MStreamable
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const =0
| Write this object to a stream. More...

## Detailed Description

Shortcut to HTTPContentHeader for `text/html`.

Definition at line 47 of file HTTPPlainHeader.h.

The documentation for this class was generated from the following file:

- HTTPPlainHeader.h